﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Script.Serialization;

namespace Social.Core.Contracts
{
    /// <summary>
    /// Provides a Deserializer funcionality
    /// </summary>
    public interface IDeserializer
    {
        /// <summary>
        /// Deserialize a json string
        /// </summary>
        /// <param name="json">string json</param>
        /// <param name="converter">Converters Helper to specific object types</param>
        /// <returns></returns>
        dynamic Deserialize(string json, JavaScriptConverter[] converter);
    }
    
}
