﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Search.aspx.cs" Inherits="WebApplication1.Search" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">


Search for: <asp:TextBox ID="txbQuery" runat="server" ></asp:TextBox>
<asp:DropDownList runat="server" ID="ddlsearhType">
    <asp:ListItem Text="post" />
    <asp:ListItem Text="user" />
    <asp:ListItem Text="page" />
    <asp:ListItem Text="event" />
    <asp:ListItem Text="group" />
    <asp:ListItem Text="place" />
    <asp:ListItem Text="checkin" />
</asp:DropDownList>
<asp:Button runat="server" Text="Search" ID="btnSearch" />


<hr />

<asp:ListView runat="server" ID="listOfSearchResults">
    <LayoutTemplate>
        <div id="itemPlaceholder" runat="server">
            <asp:PlaceHolder ID="itemContainer" runat="server" />
        </div>
    </LayoutTemplate>
    <ItemSeparatorTemplate>
         <hr />
      </ItemSeparatorTemplate>
    <ItemTemplate>
        <table>
            <tbody>
                <tr>
                <td>Name: </td>
                    <td><%# ((Dictionary<string, object>)Container.DataItem)["name"].ToString()%> </td>
                </tr>
                <tr>
                    <td>Category</td>
                    <td><%# ((Dictionary<string, object>)Container.DataItem)["category"].ToString()%> </td>
                </tr>
                <tr>
                <td> Id </td>
                    <td><%# ((Dictionary<string, object>)Container.DataItem)["id"].ToString()%> </td>
                </tr>
            </tbody>
        </table>
    </ItemTemplate>
 </asp:ListView>


    <asp:LinkButton runat="server" ID="next" Text="Next" />
    &nbsp;&nbsp;&nbsp;
    <asp:LinkButton   runat="server" ID="previous" Text="Previous" />

</asp:Content>
