﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Social.Core.Contracts
{
    /// <summary>
    /// Executes a Batch request 
    /// </summary>
    interface IBatchRequest
    {
        /// <summary>
        /// Executes a batch request
        /// </summary>
        /// <param name="cmdName">command name to execute</param>
        /// <param name="objectId">object associated to the request</param>
        /// <param name="arguments">comand execution parameters</param>
        /// <returns>result of the execution</returns>
        dynamic Excecute(string cmdName, string objectId, IDictionary<string, object> arguments);
    }
}
